package cn.com.qmth.examcloud.core.oe.student.starter.config;

import cn.com.qmth.examcloud.core.oe.student.report.RocketMqConsumerListener;
import cn.com.qmth.examcloud.web.bootstrap.PropertyHolder;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

@Component
@Order(999)
public class ExamProcessRecordTask implements ApplicationRunner {

    private static final Logger log = LoggerFactory.getLogger(ExamProcessRecordTask.class);

    private void startConsumerListener() {
        Boolean reportEnable = PropertyHolder.getBoolean("examcloud.rocketmq.enable", false);
        if (reportEnable) {
            RocketMqConsumerListener.start();
            log.warn("Rocketmq ConsumerListener started...");
        }
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        new Thread(() -> startConsumerListener()).start();
    }

}
